[rt2x00-users] rt2800pci_load_firmware: Error - PBF system register not ready

Helmut Schaa helmut.schaa at googlemail.com
Mon Nov 1 11:36:07 UTC 2010


Hi,

Am Sonntag 31 Oktober 2010 schrieb Wolfgang Kufner:
> rt2800pci fails on my rt2860 with every 64 bit kernel newer than 2.6.33.
> 
> With ubuntu 10.10 the rt2800pci became the default driver for this hardware:
> RaLink RT2860 [1814:0781]
> rt2x00_set_chip: Info - Chipset detected - rt: 2872, rf: 0003, rev: 0200.
> It works very well on 32bit ubuntu :-) . On 64bit however it fails to
> load the firmware:
> phy0 -> rt2800pci_load_firmware: Error - PBF system register not ready.

Huh, so it works fine with >2.6.33 32bit kernels but not with 64bit kernels?
And it works with <=2.6.33 kernels, be it 32 or 64 bit?

> I have tried this with many kernels on ubuntu and two on debian with
> compat wireless and stock drivers and this happens on all tested
> ubuntu and debian 64 bit kernels 2.6.34 or newer, but not on 2.6.33 or
> older. It does however work on fedora's 2.6.35 64 bit live.
> Last good kernel: Linux w 2.6.33-02063305-generic #02063305 SMP Tue
> Jun 1 15:08:11 UTC 2010 x86_64 GNU/Linux
> First bad kernel: Linux w 2.6.34-020634-generic #020634 SMP Mon May 17
> 19:27:49 UTC 2010 x86_64 GNU/Linux
> I am currently connecting with the above 2.6.33 with
> compat-wireless-2.6.36-rc5-2-s. This works perfectly well.
> 
> Any ideas?
> 
> Thanks,
> Wolfgang Kufner
> 
> More details in my bug report:
> https://bugs.edge.launchpad.net/ubuntu/+source/linux/+bug/659143

Thanks for the report. We already got some reports regarding this issue
but never were able to track it down. Maybe your detailed analysis will
give us a better clue.

Thanks,
Helmut



More information about the users mailing list